export type PreprocessOptions = {
    /** 11 a-z 0-9 characters */
    uniqueID: string;
};
/**
 * @param code source code for preprocessing
 * @param options {@link PreprocessOptions details}
 */
export declare const preprocess: (code: string, { uniqueID }?: Partial<PreprocessOptions>) => Promise<{
    code: string;
}>;
export default preprocess;
